package cn.com.tenlion.materialstore.pojo.dtos.materialstore;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: MaterialStoreDTO
 * @Description: CBC素材包
 * @Author: CodeFactory
 * @Date: 2021-08-24 11:13:38
 * @Version: 3.0
 **/
@ApiModel
public class MaterialStoreDTO {

    @ApiModelProperty(name = "materialStoreId", value = "素材包")
    private String materialStoreId;
    @ApiModelProperty(name = "materialStoreTitle", value = "素材标题")
    private String materialStoreTitle;
    @ApiModelProperty(name = "materialStoreOpen", value = "是否公开素材包的内容1:是,0:否")
    private String materialStoreOpen;
    @ApiModelProperty(name = "materialStoreOrder", value = "素材包排序")
    private Integer materialStoreOrder;
    @ApiModelProperty(name = "materialStoreStatus", value = "发布状态0:不发布,1:发布")
    private String materialStoreStatus;
    @ApiModelProperty(name = "materialStorePhoto", value = "素材封面/预留")
    private String materialStorePhoto;
    @ApiModelProperty(name = "materialStoreType", value = "素材类型(数据字典)/预留")
    private String materialStoreType;
    @ApiModelProperty(name = "materialStoreCheckStatus", value = "审核状态0未通过1待审核2审核通过")
    private String materialStoreCheckStatus;
    @ApiModelProperty(name = "materialStoreCheckRemark", value = "审核备注")
    private String materialStoreCheckRemark;
    @ApiModelProperty(name = "materialStoreMode", value = "素材模式1(基础*后台管理人创建),2(原创*用户新建),3(转载*在系统的基础上做修改)")
    private String materialStoreMode;
    @ApiModelProperty(name = "materialStoreUrl", value = "素材包预览静态页地址")
    private String materialStoreUrl;
    @ApiModelProperty(name = "materialStoreTop", value = "素材包置顶")
    private String materialStoreTop;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;

    public String getMaterialStoreId() {
        return materialStoreId == null ? "" : materialStoreId.trim();
    }

    public void setMaterialStoreId(String materialStoreId) {
        this.materialStoreId = materialStoreId;
    }

    public String getMaterialStoreTitle() {
        return materialStoreTitle == null ? "" : materialStoreTitle.trim();
    }

    public void setMaterialStoreTitle(String materialStoreTitle) {
        this.materialStoreTitle = materialStoreTitle;
    }

    public String getMaterialStoreOpen() {
        return materialStoreOpen == null ? "" : materialStoreOpen.trim();
    }

    public void setMaterialStoreOpen(String materialStoreOpen) {
        this.materialStoreOpen = materialStoreOpen;
    }

    public Integer getMaterialStoreOrder() {
        return materialStoreOrder == null ? 0 : materialStoreOrder;
    }

    public void setMaterialStoreOrder(Integer materialStoreOrder) {
        this.materialStoreOrder = materialStoreOrder;
    }

    public String getMaterialStoreStatus() {
        return materialStoreStatus == null ? "" : materialStoreStatus.trim();
    }

    public void setMaterialStoreStatus(String materialStoreStatus) {
        this.materialStoreStatus = materialStoreStatus;
    }

    public String getMaterialStorePhoto() {
        return materialStorePhoto == null ? "" : materialStorePhoto.trim();
    }

    public void setMaterialStorePhoto(String materialStorePhoto) {
        this.materialStorePhoto = materialStorePhoto;
    }

    public String getMaterialStoreType() {
        return materialStoreType == null ? "" : materialStoreType.trim();
    }

    public void setMaterialStoreType(String materialStoreType) {
        this.materialStoreType = materialStoreType;
    }

    public String getMaterialStoreCheckStatus() {
        return materialStoreCheckStatus == null ? "" : materialStoreCheckStatus.trim();
    }

    public void setMaterialStoreCheckStatus(String materialStoreCheckStatus) {
        this.materialStoreCheckStatus = materialStoreCheckStatus;
    }

    public String getMaterialStoreCheckRemark() {
        return materialStoreCheckRemark == null ? "" : materialStoreCheckRemark.trim();
    }

    public void setMaterialStoreCheckRemark(String materialStoreCheckRemark) {
        this.materialStoreCheckRemark = materialStoreCheckRemark;
    }

    public String getMaterialStoreMode() {
        return materialStoreMode == null ? "" : materialStoreMode.trim();
    }

    public void setMaterialStoreMode(String materialStoreMode) {
        this.materialStoreMode = materialStoreMode;
    }

    public String getMaterialStoreUrl() {
        return materialStoreUrl == null ? "" : materialStoreUrl.trim();
    }

    public void setMaterialStoreUrl(String materialStoreUrl) {
        this.materialStoreUrl = materialStoreUrl;
    }

    public String getMaterialStoreTop() {
        return materialStoreTop == null ? "" : materialStoreTop.trim();
    }

    public void setMaterialStoreTop(String materialStoreTop) {
        this.materialStoreTop = materialStoreTop;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
